import { r as registerInstance, h } from './index-b4e0290f.js';

const bpSdkQuoteRequestEmptyCss = "";

let BpSdkQuoteRequestEmpty = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.useExternal = false;
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-quote-request-empty');
    customElements.whenDefined('bp-sdk-external-quote-request-empty').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return h("bp-sdk-external-quote-request-empty", null);
  }
  renderInternal() {
    return h("div", { class: "bp-sdk-quote-request-empty__container" }, "No quotes were returned.");
  }
};
BpSdkQuoteRequestEmpty.style = bpSdkQuoteRequestEmptyCss;

export { BpSdkQuoteRequestEmpty as bp_sdk_quote_request_empty };
