import { EventEmitter } from '../../stencil-public-runtime';
import { IBackButtonComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkBackButton implements IBackButtonComponent {
  /**
   * Back button text
   */
  text: string;
  /**
   * Icon name
   */
  icon: string;
  /**
   * Controls disabled state of button
   */
  buttonDisabled: boolean;
  /**
   * Extra CSS classes to be added onto the back button
   */
  cssClasses: string;
  useExternal: boolean;
  /**
   * Navigate event
   */
  navigateBack: EventEmitter<void>;
  resetState(): void;
  componentWillLoad(): void;
  isButtonDisabled(isDisabled: boolean): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
