import { HandleBindFunction, ICarrier, IQuoteInfo, IQuoteRequestBindContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestBindContainer implements IQuoteRequestBindContainerComponent {
  /**
   * Application form id
   */
  appFormId: string;
  /**
   * Carrier name
   */
  carrier: ICarrier;
  /**
   * Is bindable
   */
  isBindable: boolean;
  /**
   * Quote id
   */
  quoteId: string;
  /**
   * Quote information
   */
  quoteInfo: IQuoteInfo;
  /**
   * quote bind function
   */
  handleBind: HandleBindFunction;
  useExternal: boolean;
  annualPrice: string;
  carrierName: string;
  resetState(): void;
  componentWillLoad(): void;
  onQuoteInfoChange(quoteInfo?: IQuoteInfo): void;
  onCarrierChange(carrier?: ICarrier): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
