import { EventEmitter } from '../../stencil-public-runtime';
import { IAddItemContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkAddItemContainer implements IAddItemContainerComponent {
  /**
   * Help text
   */
  helpText: string;
  /**
   * Add button text
   */
  text: string;
  /**
   * Can add more state
   */
  canAddMore: boolean;
  /**
   * Icon name
   */
  icon: string;
  /**
   * Add Item event
   */
  addItem: EventEmitter<void>;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any[];
  handleClick: () => void;
  renderInternal(): any;
}
