import { ICoverageLabel, ICoverageVehicle, IProduct, IQuoteRequestProductContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestProductContainer implements IQuoteRequestProductContainerComponent {
  /**
   * Product information
   */
  product: IProduct;
  useExternal: boolean;
  limits: ICoverageLabel[];
  vehicles: ICoverageVehicle[];
  name: string;
  resetState(): void;
  componentWillLoad(): void;
  onProductChange(product: IProduct): void;
  getLimit(product: IProduct): ICoverageLabel[];
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
